Added seed code for caas-helm.
[ta/caas-helm.git] / src / chart-repo-handler / build.sh
diff --git a/src/chart-repo-handler/build.sh b/src/chart-repo-handler/build.sh
new file mode 100644 (file)
index 0000000..b0b1295
--- /dev/null
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Copyright 2019 Nokia
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
+which glide >/dev/null
+if [ $? -ne 0 ]; then
+       go get -v github.com/Masterminds/glide
+fi
+which git >/dev/null
+if [ $? -ne 0 ]; then
+       apk add --no-cache git
+fi
+ORIGPATH=`pwd`
+TARGETPATH=`dirname $(readlink -f $0)`
+cd $TARGETPATH
+pwd
+glide install
+ln -s $TARGETPATH/pkg $TARGETPATH/vendor/pkg
+go build -v
+cd $ORIGPATH
+